Page MenuHome

Mirror Modifier does not work with Bezier curves in Workbench, Eevee and partially Cycles
Closed, ResolvedPublic

Description

System Information
Operating system: Win7 Home Premium 64-bit, SP1
Graphics card: Nvidia GeForce GTX 750

Blender Version
Broken: 2.80, 0f5b53ba4dc, blender2.8, 2018-11-30 22:29
Worked: 2.79, 5db8ac9, 2017-09-11 10:43

Short description of error
When using Bezier Curves in Blender 2.80, mirror modifier does not work in the Workbench and Eevee Render engines.
Only Cycles shows a render preview and renders correctly.
Cycles Wireframe, Solid and LookDev, though, do not show the mirrored Bezier Curve.

Final render with F12 only works with Cycles.

Exact steps for others to reproduce the error
See


and attached 2.79 file

for your convenience.

Details

Type
Bug

Event Timeline

Thanks for the good quality bug report!
We had other reports that seem to be for the same problem and will look into it!

You're welcome - glad to be of help.

The subdivision modifier for beveled curves also does not work.

Hi all,

Happy New Year 2019!!!

Seems that this bug has been fixed.
Tested on 2.80, d96596de294e blender2.80, 2018-12-30

Mirror modifier works in the Workbench and Eevee Render engines.
Cycles Wireframe, Solid and LookDev, show the mirrored Bezier Curve.
Final render with F12 works with Cycles, Workbench and Eevee.

The above mentioned bug from @Paolo Furani (pafurijaz) also seems to work now.

Thanks and kind regards

Dan

Bastien Montagne (mont29) closed this task as Resolved.Jan 1 2019, 3:16 PM
Bastien Montagne (mont29) claimed this task.

Thanks for the head-up, this has indeed been fixed one or two weeks ago, we can close it now. :)

Seems like this hasn't been fixed completely. It still doesn't work when the curve doesn't have any volume/geometry (bevel or profile). In 2.79 this was working as expected.
a simple curve with mirror modifier


a curve with bevel profile

working as expected in 2.79

I can confirm Filips observations with version 2.80 Beta - 2019-01-18, Hash: fc6aac391679

Build from today (2019-01-28). Freestyle seems to show some other issue going on. The mirrored copy of beveled curves (full fill mode) do not receive freestyle lines:

This works from a fresh blend, make a curve with full fill and some amount of bevel, and mirror it.